Package org.eclipse.handly.ui.search

# Class SearchTableContentProvider

java.lang.Object
org.eclipse.handly.ui.search.SearchTableContentProvider

All Implemented Interfaces:
  `ISearchContentProvider`, `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`

public class SearchTableContentProvider extends Object
A default implementation of `ISearchContentProvider` for the table viewer.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchTableContentProvider(AbstractSearchResultPage page)`
  Creates a new content provider for the given search result page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Notifies that all elements have been removed from the displayed search result.
  `void`
  `elementsChanged(Object[] elements)`
  Notifies that the set of matches for the given elements has changed.
  `Object[]`
  `getElements(Object inputElement)`
  `protected AbstractSearchResultPage`
  `getPage()`
  Returns the search result page passed into the constructor.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

  `dispose, inputChanged`

- ## Constructor Details

  - ### SearchTableContentProvider

    public SearchTableContentProvider(AbstractSearchResultPage page)
    Creates a new content provider for the given search result page.
    Parameters:
      `page` - not `null`

- ## Method Details

  - ### getElements

    public Object[] getElements(Object inputElement)

  - ### clear

    public void clear()
    Description copied from interface: `ISearchContentProvider`
    Notifies that all elements have been removed from the displayed search result.

    This method is guaranteed to be called in the UI thread. Note that this notification is asynchronous, i.e., further changes may have occurred by the time this method is called. They will be described in a future call.

  - ### elementsChanged

    public void elementsChanged(Object[] elements)
    Description copied from interface: `ISearchContentProvider`
    Notifies that the set of matches for the given elements has changed.

    This method is guaranteed to be called in the UI thread. Note that this notification is asynchronous, i.e., further changes may have occurred by the time this method is called. They will be described in a future call.

    Parameters:
      `elements` - never `null`

  - ### getPage

    protected AbstractSearchResultPage getPage()
    Returns the search result page passed into the constructor.
    Returns:
      the search result page (never `null`)